let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/b9p787yqaqi313l9rr0491igjwyzqfmw-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/68z2cvbzws1pn0z8dhgfkmws75r2z7gm-coreutils-8.29/bin";
  bzip2 = "/nix/store/3kzrxhyp633qm4w532jd2qjv8rfvgjhx-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/p1n5m7xp9b3pxs30ry5anzq4ql7zxmly-gzip-1.9/bin/gzip";
  xz = "/nix/store/n8v50b5qczjvsa5hgl41iccqk51xh2r0-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/n9w6xkk15nkpslvzhwrpi90pv3kkdal6-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/68z2cvbzws1pn0z8dhgfkmws75r2z7gm-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/hbhdjn5ik3byg642d1m11k3k3s0kn3py-nix-2.2.2/bin";
  nixPrefix = "/nix/store/hbhdjn5ik3byg642d1m11k3k3s0kn3py-nix-2.2.2";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/hbhdjn5ik3byg642d1m11k3k3s0kn3py-nix-2.2.2/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
